import request from '@/benyun/utils/request'

// 根据分类id查询数据物料数据
function single(data : any) {
	return request({
		url: '/maindata/maindataMaterial/categoryList',
		method: 'GET',
		params: data
	})
}

// 根据物料id查询sku
function selectByMaterialId(data : any, url : any) {
	return request({
		url: '/maindata/' + url + '/selectByMaterialId',
		method: 'GET',
		params: data
	})
}
// 新增物料sku
function saveSpuAndSku(data : any, url : any) {
	return request({
		url: '/maindata/' + url + '/saveSpuAndSku',
		method: 'POST',
		data: data
	})
}
// 修改物料sku
function updateSpuAndSku(data : any, url : any) {
	return request({
		url: '/maindata/' + url + '/updateSpuAndSku',
		method: 'POST',
		data: data
	})
}
// 删除物料sku
function deleteSpuAndSku(data : any, url : any) {
	return request({
		url: '/maindata/' + url + '/deleteSpuAndSku',
		method: 'POST',
		params: data
	})
}

export default {
	single,
	selectByMaterialId,
	saveSpuAndSku,
	updateSpuAndSku,
	deleteSpuAndSku,
}